/*****************************************************************************
  FILE           : kr_inversion.h
  SHORTNAME      : 
  SNNS VERSION   : 3.2

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Guenter Mamier
  DATE           : 29.02.92

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)kr_inversion.h	1.11 3/15/94
  SCCS VERSION   : 1.11
  LAST CHANGE    : 3/15/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _KR_INVERSION_DEFINED_
#define  _KR_INVERSION_DEFINED_



/* required functions that are declared here */

extern int    kr_initInversion(void);
extern void   kr_inv_forwardPass(struct UnitList *inputs);
extern double kr_inv_backwardPass(float learn, float delta_max, int *err_units,
				  float ratio, struct UnitList *inputs,
				  struct UnitList *outputs);

#endif 
